# ColorButton Control

(PHP 7, UI 0.9.9)

## Introduction

A Color Button is a button which displays a color picker when clicked

## Class synopsis

UI\Controls\ColorButton extends UI\Control {
/* Methods */
public getColor ( void ) : UI\Color
protected onChange ( void )
public setColor ( UI\Draw\Color `$color` )
public setColor ( int `$color` )
/* Inherited methods */
public UI\Control::destroy ( void )
public UI\Control::disable ( void )
public UI\Control::enable ( void )
public UI\Control::getParent ( void ) : UI\Control
public UI\Control::getTopLevel ( void ) : int
public UI\Control::hide ( void )
public UI\Control::isEnabled ( void ) : bool
public UI\Control::isVisible ( void ) : bool
public UI\Control::setParent ( UI\Control `$parent` )
public UI\Control::show ( void )
}

## Table of Contents

- UI\Controls\ColorButton::getColor — Get Color
- UI\Controls\ColorButton::onChange — Change Handler
- UI\Controls\ColorButton::setColor — Set Color